# count numbers for ML

#source("~/git/LSHTM_analysis/config/alr.R")
source("~/git/LSHTM_analysis/config/embb.R")

#source("~/git/LSHTM_analysis/config/gid.R")
#source("~/git/LSHTM_analysis/config/pnca.R")

source("~/git/LSHTM_analysis/scripts/plotting/get_plotting_dfs.R")

nrow(merged_df3)
##############################################
#=============
# mutation_info: revised labels
#==============
table(merged_df3$mutation_info)
sum(table(merged_df3$mutation_info))
sum(table(merged_df3$mutation_info))
##############################################

#=============
# <drug>, dst_mode: revised labels
#==============
table(merged_df3$dst) # orig
sum(table(merged_df3$dst))

table(merged_df3$dst_mode)
#table(merged_df3[dr_muts_col])
sum(table(merged_df3$drtype_mode))

##############################################
#=============
# drtype: revised labels
#==============
table(merged_df3$drtype) #orig

table(merged_df3$drtype_mode)
# mapping 2.1: numeric
# drtype_map = {'XDR': 5
#   , 'Pre-XDR': 4
#   , 'MDR': 3
#   , 'Pre-MDR': 2
#   , 'Other': 1
#   , 'Sensitive': 0}

# create a labels col that is mapped based on drtype_mode
merged_df3$drtype_mode_labels = merged_df3$drtype_mode
merged_df3$drtype_mode_labels = as.factor(merged_df3$drtype_mode)

levels(merged_df3$drtype_mode_labels)

levels(merged_df3$drtype_mode_labels) <- c('Sensitive', 'Other'
                                    , 'Pre-MDR', 'MDR'
                                    , 'Pre-XDR', 'XDR')
levels(merged_df3$drtype_mode_labels)

# check
#table(merged_df3$drtype)
table(merged_df3$drtype_mode)
table(merged_df3$drtype_mode_labels)
sum(table(merged_df3$drtype_mode_labels))
##############################################
# lineage
table(merged_df3$lineage)
sum(table(merged_df3$lineage_labels))

